{
	"name": "ZwLisp",
	"displayName": "ZwLisp",
	"description": "Visual Studio Code extension for ZwLisp",
	"version": "1.0.8",
	"publisher": "Zwsoft",
	"icon": "images/zwlisp-debug-icon.jpg",
	"author": {
		"name": "ZWCAD Software Co., Ltd"
	},
	"engines": {
		"vscode": "^1.29.0"
	},
	"categories": [
		"Debuggers",
		"Programming Languages",
		"Themes"
	],
	"activationEvents": [
		"onCommand:extension.sayHello"
	],
	"main": "./out/extension",
	"contributes": {
		"configuration": {
			"type": "object",
			"title": "%configuration.title%",
			"properties": {
				"zwlisp-debug.exceptionOptions": {
					"type": "object",
					"additionalProperties": {
						"type": "string",
						"enum": [
							"never",
							"always",
							"unhandled"
						],
						"enumDescriptions": [
							"%breakMode.never%",
							"%breakMode.always%",
							"%breakMode.unhandled%"
						],
						"description": "%configuration.exceptionOptions.description2%",
						"default": "never"
					},
					"description": "%configuration.exceptionOptions.description%",
					"default": {
						"System.Exception": "never",
						"System.SystemException": "never",
						"System.ArithmeticException": "never",
						"System.ArrayTypeMismatchException": "never",
						"System.DivideByZeroException": "never",
						"System.IndexOutOfRangeException": "never",
						"System.InvalidCastException": "never",
						"System.NullReferenceException": "never",
						"System.OutOfMemoryException": "never",
						"System.OverflowException": "never",
						"System.StackOverflowException": "never",
						"System.TypeInitializationException": "never"
					}
				}
			}
		},
		"commands": [
			{
				"command": "extension.zwlisp-debug.configureExceptions",
				"title": "%configure.exceptions.command%",
				"category": "Debug"
			}
		],
		"breakpoints": [
			{
				"language": "lisp"
			}
		],
		"debuggers": [
			{
				"type": "zwlisp",
				"label": "zwlisp",
				"program": "./Program/zwlisp-debug.exe",
				"aiKey": "AIF-d9b70cd4-b9f9-4d70-929b-a071c400b217",
				"startSessionCommand": "extension.zwlisp-debug.startSession",
				"initialConfigurations": [
					{
						"name": "%zwlisp.attach.config.name%",
						"type": "zwlisp",
						"request": "attach",
						"stopOnEntry": false
					},
					{
						"name": "%zwlisp.launch.config.name%",
						"type": "zwlisp",
						"request": "launch",
						"program": "C:\\Program Files\\ZWSOFT\\ZWCAD 2021\\ZWCAD.exe",
						"stopOnEntry": false
					}
				],
				"configurationAttributes": {
					"attach": {
						"required": [],
						"properties": {
							"options": {
								"type": "array",
								"description": "%zwlisp.launch.args.description%",
								"items": {
									"type": "string"
								},
								"default": []
							},
							"stopOnEntry": {
								"type": "boolean",
								"description": "%zwlisp.stopOnEntry.description%",
								"default": false
							}
						}
					},
					"launch": {
						"required": [
							"program"
						],
						"properties": {
							"program": {
								"type": "string",
								"description": "%zwlisp.launch.program.description%"
							},
							"args": {
								"type": "array",
								"description": "%zwlisp.launch.args.description%",
								"items": {
									"type": "string"
								},
								"default": []
							},
							"cwd": {
								"type": "string",
								"description": "%zwlisp.launch.cwd.description%",
								"default": "."
							},
							"options": {
								"type": "array",
								"description": "%zwlisp.launch.args.description%",
								"items": {
									"type": "string"
								},
								"default": []
							},
							"stopOnEntry": {
								"type": "boolean",
								"description": "%zwlisp.stopOnEntry.description%",
								"default": false
							}
						}
					}
				}
			}
		],
		"languages": [
			{
				"id": "lisp",
				"aliases": [
					"lisp",
					"lisp"
				],
				"extensions": [
					".lsp"
				],
				"configuration": "./language-configuration.json"
			}
		],
		"grammars": [
			{
				"language": "lisp",
				"scopeName": "source.list",
				"path": "./syntaxes/lisp.tmLanguage.json"
			}
		],
		"themes": [
			{
				"label": "zwlisp theme",
				"uiTheme": "vs",
				"path": "./themes/zwlisp theme-color-theme.json",
				"extensions": [
					".lsp"
				]
			}
		]
	},
	"scripts": {
		"vscode:prepublish": "npm run compile",
		"compile": "tsc -p ./",
		"watch": "tsc -watch -p ./",
		"postinstall": "node ./node_modules/vscode/bin/install",
		"test": "npm run compile && node ./node_modules/vscode/bin/test"
	},
	"devDependencies": {
		"typescript": "^2.6.1",
		"vscode": "^1.1.6",
		"tslint": "^5.8.0",
		"@types/node": "^7.0.43",
		"@types/mocha": "^2.2.42"
	},
	"__metadata": {
		"id": "c9eee27c-2e1e-4a0d-bf00-fc433d20ce39",
		"publisherDisplayName": "Zwsoft",
		"publisherId": "ca2ff5de-060a-4d59-81ca-f7c26052e1d9"
	}
}